Instalando gcc-7 (y paquetes más nuevos) en Ubuntu 16.04

Estoy ejecutando Ubuntu 16.04 LTS y quiero instalar una versión más reciente de GCC, específicamente gcc-7 que se lanzó el 2 de mayo de 2017 . Hay un paquete para ello en las comstackciones de prueba de Toolchain ppa , pero la versión de Ubuntu que figura a continuación es 7-20170407-0ubuntu2 (no tengo idea de a qué corresponde). Intenté seguir las instrucciones de esta pregunta y esta pregunta y tuve los mismos problemas. ¿Son de antes de que gcc 7.1 tuviera un lanzamiento oficial, así que no estoy seguro si las instrucciones cambiarían en absoluto ahora que está fuera?

Incluso después de agregar el ppa obtengo lo siguiente:

 [email protected]:~$ sudo add-apt-repository ppa:ubuntu-toolchain-r/test [email protected]:~$ sudo apt-get update [email protected]:~$ sudo apt install gcc-7 Reading package lists... Done Building dependency tree Reading state information... Done E: Unable to locate package gcc-7 

¿Alguna idea de cómo puedo instalar el nuevo gcc? No estoy buscando actualizar mi distribución. Tampoco estoy por encima de la construcción desde el origen, sin embargo, es mi último recurso, ya que manejar todo a mano es simplemente molesto.

Ya puede instalar gcc-7 y g ++ – 7 desde este paquete .

 sudo add-apt-repository ppa:jonathonf/gcc-7.1 sudo apt-get update sudo apt-get install gcc-7 g++-7 

Tipo:

 sudo sed -i 's/xenial/zesty/g' /etc/apt/sources.list.d/ubuntu-toolchain-r*.list sudo apt update && sudo apt full-upgrade 

Y habrá instalado gcc gcc-7 cpp cpp-7 g++ g++-7 y algunos paquetes de dependencias adicionales en su versión actual de Ubuntu (no la versión anterior 16.04).